Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class TypeRepository

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
          kieker.tools.traceAnalysis.systemModel.repository.TypeRepository

    public class TypeRepository

extends AbstractSystemSubRepository

This is a repository in which the different component types (`ComponentType`) can be stored.

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static ComponentType` | `ROOT_COMPONENT` This constant represents the root component.

Fields inherited from class kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
`ROOT_ELEMENT_ID`

Constructor Summary
`TypeRepository(SystemModelRepository systemFactory)` Creates a new instance of this class using the given parameters.

Method Summary
`ComponentType` | `createAndRegisterComponentType(String namedIdentifier, String fullqualifiedName)` Creates and registers a component type that has not been registered yet.
`Collection<ComponentType>` | `getComponentTypes()` Returns a collection of all registered component types.
`ComponentType` | `lookupComponentTypeByNamedIdentifier(String namedIdentifier)` Returns the instance for the passed namedIdentifier; null if no instance with this namedIdentifier.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_COMPONENT

    public static final ComponentType ROOT_COMPONENT

  This constant represents the root component.

Constructor Detail

### TypeRepository

    public TypeRepository(SystemModelRepository systemFactory)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `systemFactory` - The system factory.

Method Detail

### lookupComponentTypeByNamedIdentifier

    public final ComponentType lookupComponentTypeByNamedIdentifier(String namedIdentifier)

  Returns the instance for the passed namedIdentifier; null if no instance with this namedIdentifier.

  Parameters:
    `namedIdentifier` - The identifier to search for.
  Returns:
    The corresponding component type if available; null otherwise.

### createAndRegisterComponentType

    public final ComponentType createAndRegisterComponentType(String namedIdentifier,
                                                              String fullqualifiedName)

  Creates and registers a component type that has not been registered yet.

  Parameters:
    `namedIdentifier` - The identifier of the new component type.
    `fullqualifiedName` - The fully qualfieid name of the new component type.
  Returns:
    the created component type

### getComponentTypes

    public final Collection<ComponentType> getComponentTypes()

  Returns a collection of all registered component types.

  Returns:
    a collection of all registered component types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net